> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Contract: Yardi

PUT https://api.propexo.com/v1/contracts/yardi/{contract_id}
Content-Type: application/json

Update Contract: Yardi

| Interface | Method |
|---|---|
| Job Cost | ImportContract |

Reference: https://docs.propexo.com/api-reference/yardi/construction-job-cost/update-contract-yardi

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `contract_id` (string, required) — The Propexo unique identifier for the contract

### Body (application/json)

This endpoint expects a _v1_contracts_yardi_{contract_id}_put_input.

- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `start_date` (V1ContractsYardiContractIdPutInputStartDate, required) — The start date associated with the contract
- `end_date` (V1ContractsYardiContractIdPutInputEndDate, optional) — The end date associated with the contract
- `notes` (string, optional) — Notes associated with the contract
- `expense_type` (string, optional) — The expense type of the contract. You'll have to request this data from your customer, but you can see a set of allowed values by reviewing the response of integration.configuration_meta_data
- `retention_percent` (string, optional) — The retention percent of the contract. Must be a decimal number with only 2 places

## Response

### 200

Successful response

- `meta` (V1ContractsYardiContractIdPutOutputMeta, required)
- `result` (V1ContractsYardiContractIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ContractsYardiContractIdPutInputStartDate

The start date associated with the contract

### V1ContractsYardiContractIdPutInputEndDate

The end date associated with the contract

### V1ContractsYardiContractIdPutOutputMeta

- `job_id` (string, required)

### V1ContractsYardiContractIdPutOutputResult

- `contract_id` (string, required) — The Propexo unique identifier for the contract
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `start_date` (V1ContractsYardiContractIdPutOutputResultStartDate, required) — The start date associated with the contract
- `end_date` (V1ContractsYardiContractIdPutOutputResultEndDate, optional) — The end date associated with the contract
- `notes` (string, optional) — Notes associated with the contract
- `expense_type` (string, optional) — The expense type of the contract. You'll have to request this data from your customer, but you can see a set of allowed values by reviewing the response of integration.configuration_meta_data
- `retention_percent` (string, optional) — The retention percent of the contract. Must be a decimal number with only 2 places

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ContractsYardiContractIdPutOutputResultStartDate

The start date associated with the contract

### V1ContractsYardiContractIdPutOutputResultEndDate

The end date associated with the contract

## Examples

**Request**

```json
{
  "vendor_id": "vendor-7890abc123",
  "start_date": "2024-01-15T09:30:00Z"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-4567def890"
  },
  "result": {
    "contract_id": "contract-1234xyz567",
    "vendor_id": "vendor-7890abc123",
    "start_date": "2024-01-15T09:30:00Z",
    "end_date": "2025-01-14T17:00:00Z",
    "notes": "Annual maintenance contract for HVAC system.",
    "expense_type": "Maintenance",
    "retention_percent": "5.00"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/contracts/yardi/contract_id"

payload = {
    "vendor_id": "vendor-7890abc123",
    "start_date": "2024-01-15T09:30:00Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/contracts/yardi/contract_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"vendor_id":"vendor-7890abc123","start_date":"2024-01-15T09:30:00Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/contracts/yardi/contract_id"

	payload := strings.NewReader("{\n  \"vendor_id\": \"vendor-7890abc123\",\n  \"start_date\": \"2024-01-15T09:30:00Z\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/contracts/yardi/contract_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"vendor_id\": \"vendor-7890abc123\",\n  \"start_date\": \"2024-01-15T09:30:00Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/contracts/yardi/contract_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"vendor_id\": \"vendor-7890abc123\",\n  \"start_date\": \"2024-01-15T09:30:00Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/contracts/yardi/contract_id', [
  'body' => '{
  "vendor_id": "vendor-7890abc123",
  "start_date": "2024-01-15T09:30:00Z"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/contracts/yardi/contract_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"vendor_id\": \"vendor-7890abc123\",\n  \"start_date\": \"2024-01-15T09:30:00Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "vendor_id": "vendor-7890abc123",
  "start_date": "2024-01-15T09:30:00Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/contracts/yardi/contract_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```